Show: Inherited Protected Private Deprecated

# ToolbarButtons Class

Defined in: `src/ui/react/src/components/base/toolbar-buttons.js:4`

ToolbarButtons is a mixin which provides a list of buttons which have to be displayed on the current toolbar depending on user preferences and given state.

## Index

### Methods

- getToolbarButtons

## Methods

### `getToolbarButtons`

(

- `buttons`
- `additionalProps`

)
Array

Defined in `src/ui/react/src/components/base/toolbar-buttons.js:11`

Analyzes the current selection and the buttons exclusive mode value to figure out which buttons should be present in a given state.

#### Parameters:

- `buttons` Array

  The buttons could be shown, prior to the state filtering.

- `additionalProps` Object

  Additional props that should be passed down to the buttons.

#### Returns:

Array:

An Array which contains the buttons that should be rendered.